### Method

# WPEPlatform GamepadManager list_devices

#### Declaration [src]

    WPEGamepad**
    wpe_gamepad_manager_list_devices (
      WPEGamepadManager* manager,
      gsize* n_devices
    )

#### Description [src]

Get the list of `WPEGamepad` devices in `manager`.

#### Parameters

`n_devices`

  Type: `gsize*`

  Return location for the length of the array.

  The argument will be set by the function.

#### Return value

Type: An array of `WPEGamepad*`

The list of gamepad devices.

The length of the array is in the `n_devices` argument.
The caller of the method takes ownership of the returned data container, but not the data inside it.